From b76a792b48109f1a10f460878fbe0fd78c41cd93 Mon Sep 17 00:00:00 2001
From: Sebastian Pipping <sebastian@pipping.org>
Date: Sat, 11 Feb 2023 02:00:46 +0100
Subject: [PATCH] Fix import to collections.abc.Callable for Python >=3.10

Subset of this post-1.9.5.1 upstream commit:
https://github.com/davidvilla/python-doublex/commit/425807d7276dcea0e0640384d65aeb15184c508c
---
 doublex/internal.py | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/doublex/internal.py b/doublex/internal.py
index a85da9f..e5b25cb 100644
--- a/doublex/internal.py
+++ b/doublex/internal.py
@@ -24,8 +24,8 @@ import threading
 import functools
 import six
 
-if sys.version_info < (3, 3):
-    from collection.abc import Callable as abc_Callable, Mapping as abc_Mapping
+if sys.version_info > (3, 3):
+    from collections.abc import Callable as abc_Callable, Mapping as abc_Mapping
 else:
     from collections import Callable as abc_Callable, Mapping as abc_Mapping
 
-- 
2.39.1

